Skip to main content
POST
/
abdm
/
v1
/
ecdh
/
decrypt
cURL
curl --request POST \
  --url https://api.eka.care/abdm/v1/ecdh/decrypt \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "encrypted_data": "<string>",
  "receiver_nonce": "<string>",
  "receiver_private_key": "<string>",
  "sender_nonce": "<string>",
  "sender_public_key": "<string>"
}
'
{
  "decrypted_data": "<string>"
}

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Body

application/json
encrypted_data
string

Base64-encoded encrypted data to decrypt

receiver_nonce
string

Nonce associated with the receiver's key pair

receiver_private_key
string

Base64-encoded private key of the receiver

sender_nonce
string

Nonce associated with the sender's key pair

sender_public_key
string

Base64-encoded public key of the sender

Response

OK

decrypted_data
string

Decrypted plaintext data